summaryrefslogtreecommitdiff
path: root/gnu/usr.bin/grep/tests/status.sh
diff options
context:
space:
mode:
Diffstat (limited to 'gnu/usr.bin/grep/tests/status.sh')
-rwxr-xr-xgnu/usr.bin/grep/tests/status.sh22
1 files changed, 18 insertions, 4 deletions
diff --git a/gnu/usr.bin/grep/tests/status.sh b/gnu/usr.bin/grep/tests/status.sh
index 50fc9126b557..94f59294a905 100755
--- a/gnu/usr.bin/grep/tests/status.sh
+++ b/gnu/usr.bin/grep/tests/status.sh
@@ -1,4 +1,4 @@
-#! /bin/sh
+#!/bin/sh
# Test for status code for GNU grep.
# status code
# 0 match found
@@ -24,15 +24,29 @@ if test $? -ne 1 ; then
fi
# the filename MMMMMMMM.MMM should not exist hopefully
-# should return 2 file not found
-if test -b MMMMMMMM.MMM; then
+if test -r MMMMMMMM.MMM; then
echo "Please remove MMMMMMMM.MMM to run check"
else
- ${GREP} -E -e 'abc' MMMMMMMM.MMM> /dev/null 2>&1
+ # should return 2 file not found
+ ${GREP} -E -e 'abc' MMMMMMMM.MMM > /dev/null 2>&1
if test $? -ne 2 ; then
echo "Status: Wrong status code, test \#3 failed"
failures=1
fi
+
+ # should return 2 file not found
+ ${GREP} -E -s -e 'abc' MMMMMMMM.MMM > /dev/null 2>&1
+ if test $? -ne 2 ; then
+ echo "Status: Wrong status code, test \#4 failed"
+ failures=1
+ fi
+
+ # should return 0 found a match
+ echo "abcd" | ${GREP} -E -q -s 'abc' MMMMMMMM.MMM - > /dev/null 2>&1
+ if test $? -ne 0 ; then
+ echo "Status: Wrong status code, test \#5 failed"
+ failures=1
+ fi
fi
exit $failures